package com.zhyc.module.stock.mapper;

import java.util.List;
import com.zhyc.module.stock.domain.WzStockIn;
import org.apache.ibatis.annotations.Mapper;

/**
 * 入库记录Mapper接口
 * 
 * @author HashMap
 * @date 2025-08-05
 */
@Mapper
public interface WzStockInMapper 
{
    /**
     * 查询入库记录
     * 
     * @param stockInCode 入库记录主键
     * @return 入库记录
     */
    WzStockIn selectWzStockInByStockInCode(Long stockInCode);

    /**
     * 查询入库记录列表
     * 
     * @param wzStockIn 入库记录
     * @return 入库记录集合
     */
    List<WzStockIn> selectWzStockInList(WzStockIn wzStockIn);

    /**
     * 新增入库记录
     * 
     * @param wzStockIn 入库记录
     * @return 结果
     */
    int insertWzStockIn(WzStockIn wzStockIn);

    /**
     * 修改入库记录
     * 
     * @param wzStockIn 入库记录
     * @return 结果
     */
    int updateWzStockIn(WzStockIn wzStockIn);

    /**
     * 删除入库记录
     * 
     * @param stockInCode 入库记录主键
     * @return 结果
     */
    int deleteWzStockInByStockInCode(Long stockInCode);

    /**
     * 批量删除入库记录
     * 
     * @param stockInCodes 需要删除的数据主键集合
     * @return 结果
     */
    int deleteWzStockInByStockInCodes(Long[] stockInCodes);

    /**
     * 查询最近的入库记录
     *
     * @return 数据库中最近的入库记录
     */
    WzStockIn getEarliestStockIn();
}
